%define anolis_release 4

Name:           perl-Getopt-Long
Epoch:          1
Version:        2.54
Release:        %{anolis_release}%{?dist}
License:        GPLv2+ or Artistic
Summary:        Extended processing of command line options
URL:            https://metacpan.org/release/Getopt-Long
Source0:        https://cpan.metacpan.org/authors/id/J/JV/JV/Getopt-Long-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make coreutils
BuildRequires:  perl-generators perl-interpreter perl(lib)
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(warnings) perl(Text::ParseWords) perl(vars)
BuildRequires:  perl(constant) perl(Exporter) perl(overload) perl(strict)
Requires:       perl(Text::ParseWords) perl(Pod::Usage) >= 1.14 perl(overload)
Provides:       perl(newgetopt.pl) = %{version}

%description
Getopt::Long is a Perl module used for parsing command-line options. It implements an 
extended getopt function called GetOptions(). It parses the command line from @ARGV, 
recognizing and removing specified options and their possible values. This function 
adheres to the POSIX syntax for command line options, with GNU extensions.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Getopt-Long-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc INSTALL examples Changes README

%changelog
* Thu Apr 13 2023 yuanhui <yunahui@linux.alibaba.com> - 2.54-4
- Optimize the spec file

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.54-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.54-2
- rebuild with perl 5.36.0

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 2.54-1
- New version 2.54

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.52-2
- add doc package

* Fri Mar 11 2022 Renbo <rb01097748@alibaba-inc.com> - 2.52-1 
- Init for Anolis OS 23
